#pragma vertex
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.vert.glsl"

void main()
{
    defaultMain();
}

#pragma fragment
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.frag.glsl"

void main()
{
    //float density = grayscale(texture2D(u_texture, v_uv)).r;
    float density = texture2D(u_texture, v_uv).r;

    if (v_uv.y < 0.08 || (density > 0.9 && v_uv.y < 0.25)) {
        gl_FragColor = mix(vec4(0.03, 0.351, 0.387, 1.0), vec4(0.03, 0.74, 0.848, 1.0), 4.0 * v_uv.y);
        return;
    }

    if (density > 0.7) {
        gl_FragColor = vec4(0.03, 0.74, 0.848, 1.0);
        return;
    }

    if (density > 0.3) {
        gl_FragColor = vec4(0.04, 0.883, 0.945, 1.0);
        return;
    }

    gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    alphaTest();
}
