#pragma vertex
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.vert.glsl"

void main() {
    defaultMain();
}

#pragma fragment
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.frag.glsl"

uniform vec4 u_blinkColor;
uniform float u_blinkAlpha;

void main() {
    setColor();

    vec4 blinkColor = u_blinkColor;
    blinkColor.a = gl_FragColor.a;
    blinkColor = premultiplyAlpha(blinkColor);

    gl_FragColor = vec4(lerp(gl_FragColor, blinkColor, u_blinkAlpha));
    alphaTest();
}
