#pragma vertex
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.vert.glsl"

void main()
{
    defaultMain();
}

#pragma fragment
#pragma include "zframework/modules/render/shaders/glsl/libs/Default.frag.glsl"

uniform vec4 u_deepColor;

void main()
{
    float deepness = 0.9 * min(1.0, max(0.0, v_anchorPosition.y));

    vec4 realColor = getColor();
    vec4 deepColor = u_deepColor * realColor.a;

    gl_FragColor = vec4(mix(realColor, deepColor, deepness).rgb, realColor.a);
    alphaTest();
}
